Docs

List your numbers

GEThttps://server.heyrik.com/api/v1/phone-numbers

Headers

AuthorizationstringRequired

Use Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.

Get your API key
GET/phone-numbers
curl https://server.heyrik.com/api/v1/phone-numbers \
  -H "Authorization: Bearer $HEYRIK_API_KEY"
Response example
{
  "data": [
    {
      "id": "sip_45723ca5",
      "name": "+918071578563",
      "phone_number": "+918071578563",
      "provider": "managed",
      "managed": true,
      "agency_id": "agc_9f2a1c30",
      "direction": "both",
      "active": true,
      "renews_at": "2026-08-20T10:25:30.672Z"
    }
  ]
}

Illustrative examples · No live request is sent

Docs

Build sophisticated voice experiences with HeyRik.

© 2026 HeyRik · Support